<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddNullableSettingMalaysiaBankTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('setting_malaysia_banks', function(Blueprint $table) {
            $table->string('company_name')->nullable()->change();
            $table->string('bank_name')->nullable()->change();
            $table->string('acc_no')->nullable()->change();
            $table->string('bank_address')->nullable()->change();
            $table->string('swift')->nullable()->change();
            $table->string('cnap')->nullable()->change();
            $table->string('bank_branch')->nullable()->change();
            $table->integer('active')->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
